=== syndication/atom/CMakeLists.txt ===




########### install files ###############

install( FILES category.h constants.h content.h document.h entry.h generator.h link.h parser.h person.h source.h atom.h  DESTINATION ${INCLUDE_INSTALL_DIR}/syndication/atom COMPONENT Devel)
