=== debian/changelog ===
kdepimlibs (4:4.8.4-2) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Team upload.

  [ Pino Toscano ]
  * Backport upstream commit f142cc25b5620c2d1037cc6cd270b1cf301b5380
    (adapted to the 4.8 codebase) to stop reading when reaching the end of
    streams; patch upstream_b92782580756b3858f0381a5200b79688ab0b0a2.diff.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Dec 2012 12:19:24 -0300

kdepimlibs (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
  * Team upload.

  [ José Manuel Santamaría Lema ]
  * Add watch file.
  * Bump kde-sc-dev-latest build dependency to 4:4.8.4.
  * Confirm symbols files on various architectures with 4.8.3 build logs.
  * Add crash_when_marking_folder_read.diff.
  * Refresh 03_hide_akonadi_progressbar.diff to make it apply without any
    offset.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 15:21:42 +0300

kdepimlibs (4:4.8.3-1) experimental; urgency=low

  * New upstream release.
  * Team upload.

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Add libakonadi-notes4 and libkalarmcal2 packages.
  * Update installed files.
  * Remove kio_imap_append.diff, applied upstream.
  * Bump kdelibs5-dev version to 4.8.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update symbols files.
  * Add symbols files for libakonadi-notes4 and libkalarmcal2.

  [ Modestas Vainius ]
  * Drop upstream_Disambiguations-necessary-for-building-with-clang.patch, was
    backported from upstream.
  * Remove duplicate Section: libs.

 -- Modestas Vainius <modax@debian.org>  Sat, 26 May 2012 20:03:31 +0300

kdepimlibs (4:4.7.4-3) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Backport upstream commit b886894bd1afc515947c24883169d0a5107a86d5 to fix
    building with GCC 4.7; patch
    upstream_Disambiguations-necessary-for-building-with-clang.patch.
    (Closes: #667220)
  * Bump Standards-Version to 3.9.3, no changes required.
  * The rebuild also updates the libphonon.so path to the new multiarch path.
    (Closes: #671893)

  [ Modestas Vainius ]
  * Update symbol files.

 -- Modestas Vainius <modax@debian.org>  Sat, 12 May 2012 15:20:20 +0300
